//Building on the left

#declare EB_HatColor = color srgb 1;
#declare EB_CenterBldColor = color srgb 0.75;
#declare EB_HatFinish = finish{ specular 0.1 roughness 0.1 }
#declare EB_HatTexture = texture{ pigment{ EB_HatColor } finish{ EB_HatFinish } }
#declare EB_CenterBldTexture = texture{ pigment{ EB_CenterBldColor } finish{ EB_HatFinish } }

#declare EB_SideLength = 6;
#declare EB_Highness = 4;
#declare EB_BldHatHighness = EB_Highness - EB_SideLength / 4;
#declare EB_CenterBldHighness = EB_Highness - EB_BldHatHighness;

#declare EB_Hat = 
prism{ conic_sweep linear_spline 1, 0.5, 5,
		< -1, 1 >,
		< -1, -1 >,
		< 1, -1 >,
		< 1, 1 >,
		< -1, 1 >
	rotate 180 * x
	translate y 
	scale EB_SideLength / 2
	translate EB_Highness * y
	
	texture{ EB_HatTexture }
}

#declare EB_CenterBld = 
box{ < -EB_SideLength / 2, 0, -EB_SideLength / 2 >,< EB_SideLength / 2, EB_Highness, EB_SideLength / 2 > 
	texture{ EB_CenterBldTexture }
}

#declare CompleteEntranceBld =
union{
	object{ EB_CenterBld }
	object{ EB_Hat }
}