//A martian sky

#declare CloudColor1 = color srgb < 212 / 255, 209 / 255, 173 / 255 >;
#declare CloudColor2 = color srgb < 212 / 255 * 0.85, 209 / 255 * 0.85, 173 / 255 * 0.85 >;

#if( ColorIndex = 0 )
	#declare SkyColor = color srgb 61 / 255;
#elseif( ColorIndex = 1 )
	#declare SkyColor = color srgb < 142 / 255, 27 / 255, 16 / 255 >;
#end


#declare SkyPigment = pigment{ gradient y color_map{
													[0.0 SkyColor * 1.71 ]
													[0.75 SkyColor ]
													}
						}
#declare SkyClouds = pigment {	
								wrinkles turbulence 0.65 octaves 6 omega 0.7 lambda 2
								color_map {
											[0.0 CloudColor1 ] 
											[0.1 CloudColor2 ]
											[0.1 CloudColor2 ]
											[0.5 SkyColor ]
											[1.0 SkyColor ]
								}
								scale < 6, 1, 6 >
					}
						
sky_sphere{ pigment{SkyClouds} }
						
sphere{ 0, 1 
		pigment{ SkyPigment }
		finish{ diffuse 0 emission <1, 1, 0.95> * 1 }
		scale 4000000 
		hollow on 
		no_shadow
		no_image
		no_reflection
}